Data store is selected when datastore cluster is set in compute profile when creating new host
Target version:    
Pull request:    

Description

When we try to create a new host, which will be image provisioned, then the compute profile is used. In this compute profile we have

selected a datastore cluster. But in the new host, the Data store and the Datastore Cluster fields are both activated. When we do a

Submit (the POST), we see in de Form Data that both host[compute_attributes][volumes_attributes][0][storage_pod] and

host[compute_attributes][volumes_attributes][0][datastore] are send.

This seems wrong, the datastore should not be send. When we in the form of creating a new host reselect the datastore cluster then

Data store is grayed out en not being send when clicking Submit. That is what should happen without reselecting the datastore

cluster. It looks like a frontend bug.

We use VMWare as Compute Resource.

Related issues:

Is duplicate of Foreman - Bug #25013: VM getting provisioned with the wrong s... Closed

History

#1 - 04/19/2017 06:20 AM - Dominic Cleal

- Category set to Compute resources - VMware

#2 - 02/01/2019 10:07 AM - Ondřej Ezr

- Related to Bug #25013: VM getting provisioned with the wrong storage. added

#3 - 02/01/2019 10:08 AM - Ondřej Ezr

- Related to deleted (Bug #25013: VM getting provisioned with the wrong storage.)

#4 - 02/01/2019 10:08 AM - Ondřej Ezr

- Is duplicate of Bug #25013: VM getting provisioned with the wrong storage. added

#5 - 02/12/2019 05:01 PM - Ondřej Ezr

- Status changed from New to Closed

Applied in changeset ad1a01dac45784dfdf143f011179a67666f0c337.
